/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package InventoryMgmt.MovementRequest;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype mi-detail */
public class MovementRequestDetail {
    public Vector mi_compareRequestWithPlannedMovement() {
        return new Vector();
    }

    public Vector mi_compareRequestWithActualMovement() {
        return new Vector();
    }

    public int listQtyFromTo() {
        return 0;
    }

    private int qty;

    /** @supplierQualifier from,to */
    private InventoryMgmt.StorageUnit.StorageUnit lnkUnnamed;

    /**
     * @clientCardinality 0..*
     * @supplierRole from,to
     * @supplierCardinality 1-2
     */
    private InventoryMgmt.StorageUnit.StorageUnitDetail lnkUnnamed3;
    private int priority;

    /**
     * @clientCardinality 1..*
     * @supplierCardinality 0..*
     */
    private InventoryMgmt.Movement.MovementDetail lnkUnnamed1;
}


